# Class BaseContext

java.lang.Object
org.apache.cayenne.access.DataContext
org.apache.cayenne.BaseContext

All Implemented Interfaces:
  `Serializable, DataChannel, ObjectContext`

@Deprecated(since="5.0", forRemoval=true) public abstract class BaseContext extends DataContext
Deprecated, for removal: This API element is subject to removal in a future version.
use `DataContext` directly
A common base superclass for Cayenne ObjectContext implementors.

Since:
  3.0
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class DataContext

  `channel, entityResolver, graphAction, mergeHandler, objectStore, queryCache, threadObjectContext, userProperties, usingSharedSnapshotCache, validatingObjectsOnCommit`

  ### Fields inherited from interface DataChannel

  `FLUSH_CASCADE_SYNC, FLUSH_NOCASCADE_SYNC, GRAPH_CHANGED_SUBJECT, GRAPH_FLUSHED_SUBJECT, GRAPH_ROLLEDBACK_SUBJECT, ROLLBACK_CASCADE_SYNC`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BaseContext()`
  Deprecated, for removal: This API element is subject to removal in a future version.

- ## Method Summary

  ### Methods inherited from class DataContext

  `attachToChannel, attachToRuntime, attachToRuntimeIfNeeded, batchIterator, bindThreadObjectContext, clearUserProperties, commitChanges, commitChangesToParent, currentSnapshot, deletedObjects, deleteObject, deleteObjects, deleteObjects, fireDataChannelChanged, fireDataChannelCommitted, fireDataChannelRolledback, getDelegate, getEntityResolver, getEventManager, getGraphManager, getObjectStore, getParent, getParentDataDomain, getQueryCache, getThreadObjectContext, getUserProperties, getUserProperty, hasChanges, invalidateObjects, invalidateObjects, isUsingSharedSnapshotCache, isValidatingObjectsOnCommit, iterate, iterator, localObject, modifiedObjects, newObject, newObject, newObjects, objectFromDataRow, objectFromDataRow, objectsFromDataRows, onContextFlush, onQuery, onSync, performGenericQuery, performIteratedQuery, performNonSelectingQuery, performNonSelectingQuery, performNonSelectingQuery, performQuery, performQuery, performQuery, prepareForAccess, propertyChanged, registerNewObject, removeUserProperty, rollbackChanges, rollbackChangesLocally, select, selectFirst, selectOne, setChannel, setDelegate, setEntityResolver, setQueryCache, setUserProperty, setUsingSharedSnapshotCache, setValidatingObjectsOnCommit, uncommittedObjects, unregisterObjects`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ObjectContext

  `getChannel`

- ## Constructor Details

  - ### BaseContext

    protected BaseContext()
    Deprecated, for removal: This API element is subject to removal in a future version.